| Flutter Impeller |

Public Member Functions | List of all members
impeller::testing::Screenshot Class Referenceabstract

`#include <screenshot.h>`

Inheritance diagram for impeller::testing::Screenshot:

## Public Member Functions
virtual | ~Screenshot ()=default
virtual const uint8_t * | GetBytes () const =0
| Access raw data of the screenshot. More...
virtual size_t | GetHeight () const =0
| Returns the height of the image in pixels. More...
virtual size_t | GetWidth () const =0
| Returns the width of the image in pixels. More...
virtual size_t | GetBytesPerRow () const =0
| Returns number of bytes required to represent one row of the raw image. More...
virtual bool | WriteToPNG (const std::string &path) const =0

## Detailed Description

Definition at line 16 of file screenshot.h.

## Constructor & Destructor Documentation

## ◆ ~Screenshot()

virtual impeller::testing::Screenshot::~Screenshot | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ GetBytes()

virtual const uint8_t* impeller::testing::Screenshot::GetBytes | ( |  | ) | const
| pure virtual

Access raw data of the screenshot.

Implemented in impeller::testing::MetalScreenshot.

## ◆ GetBytesPerRow()

virtual size_t impeller::testing::Screenshot::GetBytesPerRow | ( |  | ) | const
| pure virtual

Returns number of bytes required to represent one row of the raw image.

Implemented in impeller::testing::MetalScreenshot.

## ◆ GetHeight()

virtual size_t impeller::testing::Screenshot::GetHeight | ( |  | ) | const
| pure virtual

Returns the height of the image in pixels.

Implemented in impeller::testing::MetalScreenshot.

## ◆ GetWidth()

virtual size_t impeller::testing::Screenshot::GetWidth | ( |  | ) | const
| pure virtual

Returns the width of the image in pixels.

Implemented in impeller::testing::MetalScreenshot.

## ◆ WriteToPNG()

virtual bool impeller::testing::Screenshot::WriteToPNG | ( | const std::string & | path | ) | const
| pure virtual

Synchronously write the screenshot to disk as a PNG at `path`. Returns `true` if it succeeded.

Implemented in impeller::testing::MetalScreenshot.

The documentation for this class was generated from the following file:

- impeller/golden_tests/screenshot.h